<h4 class="center-align">Hostel Room Management</h4>
<div class="row">
  <div class="col s12">
    <div class="card">
      <div class="card-content white-text">
        <div class="row">
          <div class="col s5">
            <form #roomForm="ngForm" (ngSubmit)="onSubmit(roomForm)">
              <input type="hidden" name="_id" #_id="ngModel" [(ngModel)]="roomService.selectedRoom._id">
              <input type="hidden" name="roomno" #_id="ngModel" [(ngModel)]="roomService.selectedRoom.roomno">
              <input type="hidden" name="roomtype" #_id="ngModel" [(ngModel)]="roomService.selectedRoom.roomtype">
              <input type="hidden" name="rentalrate" #_id="ngModel" [(ngModel)]="roomService.selectedRoom.rentalrate">
              <input type="hidden" name="block" #_id="ngModel" [(ngModel)]="roomService.selectedRoom.block">
                <div class="row">
                  <div class="input-field col s12">
                  <input type="text" name="student"
                  #roomno="ngModel" [(ngModel)]="roomService.selectedRoom.student" required>
                  <label> Student's Name:</label>
                </div>
                </div>
                <div class="row">
                  <div class="input-field col s12">
                  <label> Room No:</label>
                  <input disabled type="text" name="roomnumber"
                  #roomnumber="ngModel" [(ngModel)]="roomService.selectedRoom.roomno"
                  placeholder="">
                </div>
                </div>
                <div class="row">
                  <div class="input-field col s12">
                    <button class="btn btn-custom right" type="button" (click)="resetForm(roomForm)">Reset</button>
                    <button class="btn btn-custom right" type="submit" [disabled]="!roomForm.valid">Submit</button>
                  </div>
                </div>
            </form>
          </div>
          <div class="col s7">
              <table class="responsive-table highlight black-text">
                <thead>
                  <tr>
                    <th>Room No</th>
                    <th>Room Type</th>
                    <th>Rental Rate</th>
                    <th>Block</th>
                    <th></th>
                  </tr>
                </thead>
                <tr *ngFor="let bilik of roomService.rooms">
                  <td>{{bilik.roomno}}</td>
                  <td>{{bilik.roomtype}}</td>
                  <td>RM {{bilik.rentalrate}}</td>
                  <td>{{bilik.block}}</td>
                  <td *ngIf="!bilik.student">
                    <a class="btn-floating" (click)="onEdit(bilik)">
                      <i class="material-icons">person_add</i>
                    </a>
                  </td>
                </tr>
              </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

